CompilePhase (groovy 2.4.12 API)
Date: 2017-06-21

Package: org.codehaus.groovy.control

## [Java] Enum CompilePhase

- org.codehaus.groovy.control.CompilePhase

- The phases of the GroovyCompiler. This is an enum facade on top of the Phases object. In general, prefer using this object over Phases.

  Authors:
    Hamlet D'Arcy

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `CANONICALIZATION` |
    `CLASS_GENERATION` |
    `CONVERSION` |
    `FINALIZATION` |
    `INITIALIZATION` |
    `INSTRUCTION_SELECTION` |
    `OUTPUT` |
    `PARSING` |
    `SEMANTIC_ANALYSIS` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static CompilePhase[]` | `phases` | The phases of the GroovyCompiler.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static CompilePhase` | `fromPhaseNumber(int phaseNumber)` Returns the CompilePhase for the given integer phase number.
    `` | `int` | `getPhaseNumber()` Returns the underlieng integer Phase number.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Enum` | `name, equals, toString, hashCode, compareTo, compareTo, valueOf, getDeclaringClass, ordinal, wait, wait, wait, getClass, notify, notifyAll`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Enum Constant Detail

    - #### CompilePhase CANONICALIZATION

    - #### CompilePhase CLASS_GENERATION

    - #### CompilePhase CONVERSION

    - #### CompilePhase FINALIZATION

    - #### CompilePhase INITIALIZATION

    - #### CompilePhase INSTRUCTION_SELECTION

    - #### CompilePhase OUTPUT

    - #### CompilePhase PARSING

    - #### CompilePhase SEMANTIC_ANALYSIS

  - ### Field Detail

    - #### public static CompilePhase[] phases

      The phases of the GroovyCompiler. This is an enum facade on top of the Phases object. In general, prefer using this object over Phases.

      Authors:
        Hamlet D'Arcy

  - ### Method Detail

    - #### public static CompilePhase fromPhaseNumber(int phaseNumber)

      Returns the CompilePhase for the given integer phase number.

      Parameters:
        `phaseNumber` - the phase number
      Returns:
        the CompilePhase or null if not found

    - #### public int getPhaseNumber()

      Returns the underlieng integer Phase number.